apiVersion: source.toolkit.fluxcd.io/v1beta2
kind: GitRepository
metadata:
  name: supertokens-docker-postgresql
  namespace: flux-system
spec:
  interval: 10m0s
  url: https://github.com/supertokens/supertokens-docker-postgresql.git
  ref:
    tag: v10.0.2
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: supertokens
  namespace: flux-system
spec:
  dependsOn:
    - name: supertokens-bitnami-postgres
  targetNamespace: supertokens
  releaseName: supertokens
  chart:
    spec:
      chart: ./helm-chart
      reconcileStrategy: Revision
      sourceRef:
        kind: GitRepository
        name: supertokens-docker-postgresql
  interval: 10m0s
  values:
    image:
      tag: "6.0"
  valuesFrom:
    - kind: ConfigMap
      name: supertokens-values
      valuesKey: values.yaml
